{% extends 'base.html' %}

{% block head %}
<title>Program generator</title>
{% endblock %}

{% block body %}
<div class="content">
    <h1 style="text-align: center">Add exercise</h1>
    <div class="form">
        <form action="/add_exercise/" method="POST">
            <table>
                <tr>
                    <td>Category</td>
                    <td>
                        <select name="cat" size="1">
                            <option value="pushup1">Push ups</option>
                            <option value="leg1">Legs cat I</option>
                            <option value="shoulder1">Shoulder</option>
                            <option value="leg2">Legs cat II</option>
                            <option value="back1">Back</option>
                            <option value="arm1">Arms</option>
                            <option value="warmup1">Warm up</option>
                            <option value="cooldown1">Cool down</option>
                            <option value="core1">Core</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>Name</td>
                    <td><input type="text" name="name" id="name" placeholder="push up"></td>
                </tr>
                <tr>
                    <td>Reps</td>
                    <td><input type="text" name="reps" id="reps" placeholder="15"></td>
                </tr>
                <tr>
                    <td>Metric</td>
                    <td>
                        <select name="metric" size="1">
                            <option value="reps">Repetitions</option>
                            <option value="seconds">Seconds</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>Description</td>
                    <td><textarea name='desc' class="form-control" rows="3" placeholder="normal pushups"></textarea></td>
                </tr>
                <tr>
                    <td>Level</td>
                    <td>
                        <select name="level" size="1">
                            <option value="easy">Easy</option>
                            <option value="medium">Medium</option>
                            <option value="hard">Hard</option>
                        </select>
                    </td>
                </tr>
            </table>
            <br>
            <input type="submit" value="OK"/>
            <input type="submit" value="CANCEL"/>
        </form>
    </div>
    <div>
        <p>
            <a href=upload_file >
                <button class=grey>
                    upload csv
                </button>
            </a>
        </p>
    </div>
    <div>
        <p>
            <a href="/">
                <button class=grey ><!--style="height:75px;width:150px">-->
                    Back to index page
                </button>
            </a>
        </p>
    </div>

</div>
{% endblock %}